LINUX.ORG.RU

[Kubuntu 11.10] Сломанные зависимости

 


0

1

После обновления осталось еще около тысячи обновлений, которые требуется установить. Зависимости сломаны, но это не самое страшное, при вводе sudo apt-get -f install апт выдает следующее:

Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
Исправление зависимостей... Готово
Следующие пакеты устанавливались автоматически и больше не требуются:
  libsilcclient-1.1-3 libcdio-paranoia0 gvfs-backends librpmio1 libsilc-1.1-2 libcdio-cdda0 libsqlite3-0:i386
Для их удаления используйте 'apt-get autoremove'.
Будут установлены следующие дополнительные пакеты:
  acl amarok amarok-common amarok-utils app-install-data-partner appmenu-gtk3 ark c2esp colord cups cups-bsd cups-client cups-common dconf-gsettings-backend dolphin
  fontconfig-config freespacenotifier gcc-4.5 gcc-4.5-base gcc-4.6-base:i386 ghostscript ghostscript-cups ghostscript-x gstreamer0.10-qapt gvfs-backends icc-profiles-free
  initramfs-tools initramfs-tools-bin initscripts kaccessible kde-baseapps-bin kde-runtime kde-runtime-data kde-wallpapers-default kde-window-manager kde-workspace
  kde-workspace-data kdebase-bin kdebase-runtime kdebase-workspace kdegames-card-data kdegraphics-libs-data kdegraphics-mobipocket kdegraphics-strigi-analyzer
  kdegraphics-strigi-plugins kdegraphics-thumbnailers kdepasswd kdm kfind klipper kpat ksysguard ksysguardd kubuntu-desktop kubuntu-firefox-installer lib32ffi6 lib32stdc++6
  libapparmor-perl libapt-pkg4.11 libatk1.0-0 libatk1.0-0:i386 libatk1.0-data libavahi-client3 libavahi-client3:i386 libavahi-common-data libavahi-common-data:i386
  libavahi-common3 libavahi-common3:i386 libc-bin:i386 libc-dev-bin libc6:i386 libc6-dev libc6-i386 libcairo2 libcairo2:i386 libcanberra-pulse libcanberra0 libclass-isa-perl
  libcolord1 libcomerr2:i386 libcups2 libcups2:i386 libcupsmime1 libdatrie1 libdatrie1:i386 libdb5.1 libdbd-mysql-perl libdbi-perl libdbus-1-3 libdbus-1-3:i386 libdbusmenu-glib4
  libdbusmenu-gtk3-4 libdigest-sha1-perl libexpat1:i386 libffi6 libffi6:i386 libfontconfig1 libfontconfig1:i386 libfreetype6 libfreetype6:i386 libfuse2 libgail18 libgcc1
  libgcc1:i386 libgcrypt11 libgcrypt11:i386 libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-0:i386 libgdu0 libgfortran3 libglib2.0-0 libglib2.0-0:i386 libglib2.0-data libgmp10
  libgnome-keyring0 libgnutls26 libgnutls26:i386 libgomp1 libgpg-error0 libgpg-error0:i386 libgs9 libgs9-common libgssapi-krb5-2 libgssapi-krb5-2:i386 libgtk2.0-0
  libgtk2.0-0:i386 libhtml-parser-perl libice6 libice6:i386 libiodbc2 libjasper1:i386 libjpeg62 libjpeg62:i386 libjpeg8 libjson0 libk5crypto3 libk5crypto3:i386 libkdcraw-data
  libkdcraw20 libkdecorations4 libkephal4abi1 libkexiv2-10 libkexiv2-data libkeyutils1 libkeyutils1:i386 libkio5 libkipi-data libkonq-common libkonq5abi1 libkrb5-3
  libkrb5-3:i386 libkrb5support0 libkrb5support0:i386 libksane-data libkscreensaver5 libksgrd4 libksignalplotter4 libkwineffects1abi2 liblcms2-2 liblocale-gettext-perl libltdl7
  libmagickcore3 libmhash2 libmtp-common libmtp-runtime libmtp9 libmuonprivate1 libmysqlclient16 libnl3 libnm-glib4 libokularcore1 libpam-modules libpam0g libpango1.0-0
  libpango1.0-0:i386 libpcre3:i386 libperl5.12 libpixman-1-0 libpixman-1-0:i386 libplasma-geolocation-interface4 libplasmaclock4abi2 libplasmagenericshell4 libpng12-0
  libpng12-0:i386 libpod-plainer-perl libprison0 libprocesscore4abi1 libprocessui4a libpulse-mainloop-glib0 libpulse0 libpurple0 libqapt1 libqrencode3 libqtglib-2.0-0
  libqtgstreamer-0.10-0 libquadmath0 libraptor2-0 librasqal3 librdf0 librpm2 librpmbuild2 librpmio2 librpmsign0 libselinux1:i386 libsm6 libsm6:i386 libsnmp-base libsnmp15
  libsolidcontrol4abi2 libsolidcontrolifaces4abi2 libsoprano4 libspeechd2 libsqlite3-0 libssl1.0.0 libstreamanalyzer0 libsub-name-perl libswitch-perl libtaskmanager4abi2
  libtasn1-3 libtasn1-3:i386 libterm-readkey-perl libthai0 libthai0:i386 libtiff4 libtiff4:i386 libudev0 libuuid1:i386 libweather-ion6 libx11-6 libx11-6:i386 libxau6
  libxau6:i386 libxcb-render0 libxcb-render0:i386 libxcb-shm0 libxcb-shm0:i386 libxcb1 libxcb1:i386 libxcomposite1 libxcomposite1:i386 libxcursor1 libxcursor1:i386 libxdamage1
  libxdamage1:i386 libxdmcp6 libxdmcp6:i386 libxext6 libxext6:i386 libxfixes3 libxfixes3:i386 libxft2 libxft2:i386 libxi6 libxi6:i386 libxinerama1 libxinerama1:i386
  libxml-parser-perl libxrandr2 libxrandr2:i386 libxrender1 libxrender1:i386 libxt6 libxt6:i386 libyajl1 make mountall muon muon-installer muon-notifier muon-updater
  mysql-client-5.1 mysql-common mysql-server-5.1 network-manager network-manager-pptp nspluginviewer:i386 nspluginwrapper okular perl perl-base perl-modules perlmagick pidgin
  pidgin-data plasma-dataengines-workspace plasma-netbook plasma-widget-folderview plasma-widget-quickaccess plasma-widgets-workspace ptouch-driver pulseaudio
  pulseaudio-esound-compat pulseaudio-utils qapt-deb-installer rastertosag-gdi rpm rpm2cpio soprano-daemon sound-theme-freedesktop systemsettings update-notifier-common
  wpasupplicant zlib1g:i386
Предлагаемые пакеты:
  libxine1-ffmpeg libqt4-sql-psql moodbar rar psutils cups-pdf xpp kdesdk-dolphin-plugins ruby gcc-4.5-multilib libmudflap0-4.5-dev gcc-4.5-doc gcc-4.5-locales libgcc1-dbg
  libgomp1-dbg libmudflap0-dbg binutils-gold djvulibre-bin kdegames-card-data-extra glibc-doc:i386 locales:i386 glibc-doc cups-common:i386 rng-tools rng-tools:i386 gnutls-bin
  gnutls-bin:i386 krb5-doc krb5-user krb5-doc:i386 krb5-user:i386 librsvg2-common librsvg2-common:i386 gvfs:i386 libdata-dump-perl libjasper-runtime:i386 liblcms2-utils           
  libpam-doc ttf-thryomanes ttf-baekmuk ttf-arphic-gbsn00lp ttf-arphic-bsmi00lp ttf-arphic-gkai00mp ttf-arphic-bkai00mp ttf-japanese-gothic:i386 ttf-japanese-mincho:i386          
  ttf-thryomanes:i386 ttf-baekmuk:i386 ttf-arphic-gbsn00lp:i386 ttf-arphic-bsmi00lp:i386 ttf-arphic-gkai00mp:i386 ttf-arphic-bkai00mp:i386 tcl8.5 tk8.5 raptor2-utils              
  rasqal-utils librdf-storage-postgresql librdf-storage-mysql librdf-storage-sqlite redland-utils snmp-mibs-downloader make-doc tinyca mailx jovie okular-odp-backend              
  poppler-data texlive-binaries perl-doc libterm-readline-gnu-perl libterm-readline-perl-perl imagemagick-doc gnome-panel kdebase-workspace-bin docker evolution-data-server
  pavumeter paman paprefs pulseaudio-module-raop alien elfutils rpm-i18n wpagui libengine-pkcs11-openssl
Рекомендуемые пакеты:
  gnome-keyring kubuntu-web-shortcuts pulseaudio-module-bluetooth libglib2.0-data:i386 x-ttcidfont-conf:i386
Пакеты, которые будут УДАЛЕНЫ:
  libc-bin
НОВЫЕ пакеты, которые будут установлены:
  acl app-install-data-partner appmenu-gtk3 c2esp colord dconf-gsettings-backend gcc-4.6-base:i386 gstreamer0.10-qapt icc-profiles-free kaccessible kde-baseapps-bin kde-runtime
  kde-runtime-data kde-wallpapers-default kde-workspace kde-workspace-data kdegraphics-mobipocket kdegraphics-strigi-analyzer kdegraphics-thumbnailers lib32ffi6 libapt-pkg4.11
  libatk1.0-0:i386 libavahi-client3:i386 libavahi-common-data:i386 libavahi-common3:i386 libc-bin:i386 libc6:i386 libcairo2:i386 libcanberra-pulse libclass-isa-perl libcolord1
  libcomerr2:i386 libcups2:i386 libdatrie1:i386 libdb5.1 libdbus-1-3:i386 libdbusmenu-glib4 libdbusmenu-gtk3-4 libexpat1:i386 libffi6 libffi6:i386 libfontconfig1:i386
  libfreetype6:i386 libgcc1:i386 libgcrypt11:i386 libgdk-pixbuf2.0-0:i386 libglib2.0-0:i386 libglib2.0-data libgmp10 libgnutls26:i386 libgpg-error0:i386 libgssapi-krb5-2:i386
  libgtk2.0-0:i386 libice6:i386 libjasper1:i386 libjpeg62:i386 libjpeg8 libjson0 libk5crypto3:i386 libkdcraw-data libkdcraw20 libkephal4abi1 libkexiv2-10 libkexiv2-data
  libkeyutils1:i386 libkipi-data libkonq-common libkonq5abi1 libkrb5-3:i386 libkrb5support0:i386 libksane-data libkwineffects1abi2 liblcms2-2 libmhash2 libmtp-common
  libmtp-runtime libmtp9 libmuonprivate1 libnl3 libnm-glib4 libpango1.0-0:i386 libpcre3:i386 libperl5.12 libpixman-1-0:i386 libplasmaclock4abi2 libpng12-0:i386
  libpod-plainer-perl libprison0 libprocesscore4abi1 libqrencode3 libqtglib-2.0-0 libqtgstreamer-0.10-0 libquadmath0 libraptor2-0 librasqal3 librpm2 librpmbuild2 librpmio2
  librpmsign0 libselinux1:i386 libsm6:i386 libsolidcontrol4abi2 libsolidcontrolifaces4abi2 libspeechd2 libssl1.0.0 libswitch-perl libtaskmanager4abi2 libtasn1-3:i386
  libthai0:i386 libtiff4:i386 libuuid1:i386 libx11-6:i386 libxau6:i386 libxcb-render0:i386 libxcb-shm0:i386 libxcb1:i386 libxcomposite1:i386 libxcursor1:i386 libxdamage1:i386
  libxdmcp6:i386 libxext6:i386 libxfixes3:i386 libxft2:i386 libxi6:i386 libxinerama1:i386 libxrandr2:i386 libxrender1:i386 libxt6:i386 libyajl1 muon muon-installer muon-notifier
  muon-updater nspluginviewer:i386 ptouch-driver qapt-deb-installer rastertosag-gdi sound-theme-freedesktop update-notifier-common zlib1g:i386
Пакеты, которые будут обновлены:
  amarok amarok-common amarok-utils ark cups cups-bsd cups-client cups-common dolphin fontconfig-config freespacenotifier gcc-4.5 gcc-4.5-base ghostscript ghostscript-cups
  ghostscript-x gvfs-backends initramfs-tools initramfs-tools-bin initscripts kde-window-manager kdebase-bin kdebase-runtime kdebase-workspace kdegames-card-data
  kdegraphics-libs-data kdegraphics-strigi-plugins kdepasswd kdm kfind klipper kpat ksysguard ksysguardd kubuntu-desktop kubuntu-firefox-installer lib32stdc++6 libapparmor-perl
  libatk1.0-0 libatk1.0-data libavahi-client3 libavahi-common-data libavahi-common3 libc-dev-bin libc6-dev libc6-i386 libcairo2 libcanberra0 libcups2 libcupsmime1 libdatrie1
  libdbd-mysql-perl libdbi-perl libdbus-1-3 libdigest-sha1-perl libfontconfig1 libfreetype6 libfuse2 libgail18 libgcc1 libgcrypt11 libgdk-pixbuf2.0-0 libgdu0 libgfortran3
  libglib2.0-0 libgnome-keyring0 libgnutls26 libgomp1 libgpg-error0 libgs9 libgs9-common libgssapi-krb5-2 libgtk2.0-0 libhtml-parser-perl libice6 libiodbc2 libjpeg62
  libk5crypto3 libkdecorations4 libkeyutils1 libkio5 libkrb5-3 libkrb5support0 libkscreensaver5 libksgrd4 libksignalplotter4 liblocale-gettext-perl libltdl7 libmagickcore3
  libmysqlclient16 libokularcore1 libpam-modules libpam0g libpango1.0-0 libpixman-1-0 libplasma-geolocation-interface4 libplasmagenericshell4 libpng12-0 libprocessui4a
  libpulse-mainloop-glib0 libpulse0 libpurple0 libqapt1 librdf0 libsm6 libsnmp-base libsnmp15 libsoprano4 libsqlite3-0 libstreamanalyzer0 libsub-name-perl libtasn1-3
  libterm-readkey-perl libthai0 libtiff4 libudev0 libweather-ion6 libx11-6 libxau6 libxcb-render0 libxcb-shm0 libxcb1 libxcomposite1 libxcursor1 libxdamage1 libxdmcp6 libxext6
  libxfixes3 libxft2 libxi6 libxinerama1 libxml-parser-perl libxrandr2 libxrender1 libxt6 make mountall mysql-client-5.1 mysql-common mysql-server-5.1 network-manager
  network-manager-pptp nspluginwrapper okular perl perl-base perl-modules perlmagick pidgin pidgin-data plasma-dataengines-workspace plasma-netbook plasma-widget-folderview
  plasma-widget-quickaccess plasma-widgets-workspace pulseaudio pulseaudio-esound-compat pulseaudio-utils rpm rpm2cpio soprano-daemon systemsettings wpasupplicant
ВНИМАНИЕ: Эти существенно важные пакеты будут удалены.
НЕ ДЕЛАЙТЕ этого, если вы НЕ представляете себе все возможные последствия!
  libc-bin
обновлено 163, установлено 140 новых пакетов, для удаления отмечено 1 пакетов, и 863 пакетов не обновлено.
не установлено до конца или удалено 114 пакетов.
Необходимо скачать 932 kB/132 MB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 96,6 MB.
То, что вы хотите сделать, может иметь нежелательные последствия.
Чтобы продолжить, введите фразу: 'Да, делать, как я скажу!'

Сдается мне, что удалять этот пакет - действительно плохая идея. Что делать?

Я б на вашем месте перекрестился, сказал «Да, делать, как я скажу!», после обновления поставил бы его обратно.

//не советую так делать

Loki29 ★★ ()

Можно попробовать aptitude safe-upgrade

Loki29 ★★ ()

Это убунту, привыкай. Или меняй дистрибутив. Arch, Debian, openSuse хорошие дистрибутивы.

Panic_At_The_Kernel ()

Снес libc-bin, как и ожидал, ничего хорошего из этого не получилось, потому что dpkg тут же перестал работать. Пришлось вручную распаковать libc-bin.deb из репа и запустить aptitude full-upgrade. После этого все заработало.

Да, теперь я серьезно задумался о переходе на дебиан.

Yasenfire ()
Ответ на: комментарий от Yasenfire

> Снес libc-bin, как и ожидал, ничего хорошего из этого не получилось, потому что dpkg тут же перестал работать.

То есть, у него нет зависимости от пакета, который ему нужен? И кто же так паковал-то?

Nxx ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.